{
  inputs,
  pkgs,
}:
pkgs.writeShellApplication {
  name = "opentofu-hetzner";
  runtimeInputs = [
    pkgs.nix
    pkgs.khscodes.bw-opentofu
  ];
  text = ''
    hostname="$1"
    config="$(nix build --no-link --print-out-paths '${inputs.self}#nixosConfigurations."'"$hostname"'".config.khscodes.terraform-hetzner.output')"
    bw-opentofu "$hostname" "$config" "${./terraform.lock.hcl}"
  '';
}
